<!-- <template>
    this is  html
</template> -->
<#assign default_header>
import { Subject } from 'rxjs';
import '@/assets/interface/viewState';
<#if ctrl.getPSControls?? && ctrl.getPSControls()??>

<#list ctrl.getPSControls() as subctrl>
<#if subctrl.getControlType() != 'TOOLBAR' && subctrl.getControlType() != 'CONTEXTMENU'>
    <#if subctrl.getPSDataEntity?? && subctrl.getPSDataEntity()??>
import view_${subctrl.getName()} from '@/widget/${srffilepath2(subctrl.getPSDataEntity().getCodeName())}/${srffilepath2(subctrl.getCodeName())}-${subctrl.getControlType()?lower_case}/${srffilepath2(subctrl.getCodeName())}-${subctrl.getControlType()?lower_case}.vue';
<#else>
import view_${subctrl.getName()} from '@/widget/app/${srffilepath2(subctrl.getCodeName())}-${subctrl.getControlType()?lower_case}/${srffilepath2(subctrl.getCodeName())}-${subctrl.getControlType()?lower_case}.vue';
</#if>
</#if>
</#list>
</#if>
</#assign>

<#assign components>
<#if ctrl.getPSControls?? && ctrl.getPSControls()??>
<#list ctrl.getPSControls() as subctrl>
<#if subctrl.getControlType() != 'TOOLBAR' &&  subctrl.getControlType() != 'CONTEXTMENU'>
view_${subctrl.getName()}, 
</#if>
</#list>
</#if>
<#if self_components??>${self_components}</#if> 
</#assign>
<script lang="ts">
import { Vue, Component, Prop, Provide, Emit, Watch } from 'vue-property-decorator';
import ${srfclassname('${ctrl.codeName}')}Base from './${srffilepath2('${ctrl.getCodeName()}')}-${ctrl.getControlType()?lower_case}-base.vue';
<#if self_header??>
${self_header}
<#elseif default_header??>
${default_header}
</#if>

@Component({
    components: {
<@ibizindent blank=8>
<#if components??>
${components}
</#if>
</@ibizindent>
    }
})
export default class ${srfclassname('${ctrl.codeName}')} extends  ${srfclassname('${ctrl.codeName}')}Base {
    

}
</script>
<style lang="less">
    //this is less
</style>