<div  class="tabexppanel-container">
<#if view.hasPSControl('tabexppanel')>
<#assign tabexppanel = view.getPSControl('tabexppanel')>
<#if tabexppanel.getAllRelatedPSAppViews()??>
<#list tabexppanel.getAllRelatedPSAppViews() as singleview>
   <div class="app-view-header"  v-if="selectedView == '${singleview.name?lower_case}'">
    <#if singleview.isShowCaptionBar()>
        <#--  <#if singleview.getPSTitleBar()??>
            <#assign titleBar=singleview.getPSTitleBar()>
            <view_${titleBar.getName()} :viewState="viewState"  name="${titleBar.name}"></view_${titleBar.getName()}>
            <#else>  -->
            <mt-header title="${singleview.getCaption()}" >
                    <template slot="left">
                        <div class="app-view-lefttoolbar">
                        <mt-button icon="back" @click="close">返回</mt-button>
                            <#if singleview.hasPSControl('lefttoolbar')>
                            <#assign lefttoolbar = singleview.getPSControl('lefttoolbar')>
                            <@ibizindent blank=8>
                            <div class="app-toolbar-container  <#if lefttoolbar.getPSSysCss()??><#assign singleCss = lefttoolbar.getPSSysCss()> ${singleCss.getCssName()}</#if>">
                                <#if lefttoolbar.render??>
                                ${lefttoolbar.render.code}
                                <#else>
                                <#if lefttoolbar.getPSDEToolbarItems()??>
                                    <#list lefttoolbar.getPSDEToolbarItems() as item>
                                        <#if item.getPSUIAction?? && item.getPSUIAction()??>
                                        <#assign deuiaction=item.getPSUIAction()>
                                        <#if lefttoolbar.getToolbarStyle() == 'MOBBOTTOMMENU'>
                                            <mt-button  @click="getComponent('${singleview.name?lower_case}').clickButton('${deuiaction.getUIActionTag()}')"  style="margin-right:5px;">
                                        <#if item.isShowIcon()>
                                        <#if item.getPSSysImage()??>
                                                <i class="<#if item.getPSSysImage().getCssClass() != "">${item.getPSSysImage().getCssClass()}<#else>fa fa-ellipsis-h</#if>"> <#if item.getPSSysImage().getImagePath() != ""><img src="${item.getPSSysImage().getImagePath()}" /></#if></i>
                                        </#if>
                                        </#if>
                                        <#if item.isShowCaption()>          ${item.caption!''}</#if>
                                            </mt-button>
                                        <#elseif lefttoolbar.getToolbarStyle() == 'MOBWFACTIONMENU'>
                                                <mt-button class="app-quick-toolbar-item" @click="getComponent('${singleview.name?lower_case}').${lefttoolbar.name}_click({ tag: '${item.name}' }, $event)"  style="margin-right:5px;">
                                        <#if item.isShowIcon()>
                                        <#if item.getPSSysImage()??>
                                                <i class="<#if item.getPSSysImage().getCssClass() != "">${item.getPSSysImage().getCssClass()}<#else>fa fa-ellipsis-h</#if>"> <#if item.getPSSysImage().getImagePath() != ""><img src="${item.getPSSysImage().getImagePath()}" /></#if></i>
                                        </#if>
                                        </#if>
                                        <#if item.isShowCaption()>          ${item.caption!''}</#if>
                                                </mt-button>
                                        <#else>
                                            <mt-button class="app-view-toolbar-button" @click="getComponent('${singleview.name?lower_case}').${lefttoolbar.name}_click({ tag: '${item.name}' }, $event)"  style="margin-right:5px;">
                                        <#if item.isShowIcon()>
                                        <#if item.getPSSysImage()??>
                                                <i class="<#if item.getPSSysImage().getCssClass() != "">${item.getPSSysImage().getCssClass()}<#else>fa fa-ellipsis-h</#if>"> <#if item.getPSSysImage().getImagePath() != ""><img src="${item.getPSSysImage().getImagePath()}" /></#if></i>
                                        </#if>
                                        </#if>
                                        <#if item.isShowCaption()>          ${item.caption!''}</#if>
                                            </mt-button>
                                        </#if>
                                        <#else>
                                        <mt-button class="app-view-toolbar-button" @click="getComponent('${singleview.name?lower_case}').${lefttoolbar.name}_openActionSheet()"  style="margin-right:5px;">
                                        <#if item.isShowIcon()>
                                        <#if item.getPSSysImage()??>
                                                <i class="<#if item.getPSSysImage().getCssClass() != "">${item.getPSSysImage().getCssClass()}<#else>fa fa-ellipsis-h</#if>" <#if item.getPSSysImage().getImagePath() != ""><img src="${item.getPSSysImage().getImagePath()}" /></#if>></i>
                                        </#if>
                                        </#if>
                                        <#if item.isShowCaption()>          ${item.caption!''}</#if>
                                        </mt-button>
                                        </#if>
                                    </#list>
                                </#if>
                                </#if>
                            </div>
                            </@ibizindent>
                            </#if>
                        </div>
                    </template>
                    <template slot="right">
                        <div class="app-view-righttoolbar">
                            <#if singleview.hasPSControl('righttoolbar')>
                            <#assign righttoolbar = singleview.getPSControl('righttoolbar')>
                            <@ibizindent blank=8>
                            <div class="app-toolbar-container  <#if righttoolbar.getPSSysCss()??><#assign singleCss = righttoolbar.getPSSysCss()> ${singleCss.getCssName()}</#if>">
                                <#if righttoolbar.render??>
                                ${righttoolbar.render.code}
                                <#else>
                                <#if righttoolbar.getPSDEToolbarItems()??>
                                    <#list righttoolbar.getPSDEToolbarItems() as item>
                                        <#if item.getPSUIAction?? && item.getPSUIAction()??>
                                        <#assign deuiaction=item.getPSUIAction()>
                                        <#if righttoolbar.getToolbarStyle() == 'MOBBOTTOMMENU'>
                                            <mt-button  <#compress>@click="getComponent('${singleview.name?lower_case}').clickButton('${deuiaction.getUIActionTag()}')"</#compress>  style="margin-right:5px;">
                                        <#if item.isShowIcon()>
                                        <#if item.getPSSysImage()??>
                                                <i class="<#if item.getPSSysImage().getCssClass() != "">${item.getPSSysImage().getCssClass()}<#else>fa fa-ellipsis-h</#if>"> <#if item.getPSSysImage().getImagePath() != ""><img src="${item.getPSSysImage().getImagePath()}" /></#if></i>
                                        </#if>
                                        </#if>
                                        <#if item.isShowCaption()>          ${item.caption!''}</#if>
                                            </mt-button>
                                        <#elseif righttoolbar.getToolbarStyle() == 'MOBWFACTIONMENU'>
                                                <mt-button class="app-quick-toolbar-item" <#compress>@click="getComponent('${singleview.name?lower_case}').${righttoolbar.name}_click({ tag: '${item.name}' }, $event)"</#compress>  style="margin-right:5px;">
                                        <#if item.isShowIcon()>
                                        <#if item.getPSSysImage()??>
                                                <i class="<#if item.getPSSysImage().getCssClass() != "">${item.getPSSysImage().getCssClass()}<#else>fa fa-ellipsis-h</#if>"> <#if item.getPSSysImage().getImagePath() != ""><img src="${item.getPSSysImage().getImagePath()}" /></#if></i>
                                        </#if>
                                        </#if>
                                        <#if item.isShowCaption()>          ${item.caption!''}</#if>
                                                </mt-button>
                                        <#else>
                                            <mt-button class="app-view-toolbar-button" <#compress>@click="getComponent('${singleview.name?lower_case}').${righttoolbar.name}_click({ tag: '${item.name}' }, $event)"</#compress>  style="margin-right:5px;">
                                        <#if item.isShowIcon()>
                                        <#if item.getPSSysImage()??>
                                                <i class="<#if item.getPSSysImage().getCssClass() != "">${item.getPSSysImage().getCssClass()}<#else>fa fa-ellipsis-h</#if>"> <#if item.getPSSysImage().getImagePath() != ""><img src="${item.getPSSysImage().getImagePath()}" /></#if></i>
                                        </#if>
                                        </#if>
                                        <#if item.isShowCaption()>          ${item.caption!''}</#if>
                                            </mt-button>
                                        </#if>
                                        <#else>
                                        <mt-button class="app-view-toolbar-button" <#compress>@click="getComponent('${singleview.name?lower_case}').${righttoolbar.name}_openActionSheet()"</#compress>  style="margin-right:5px;">
                                        <#if item.isShowIcon()>
                                        <#if item.getPSSysImage()??>
                                                <i class="<#if item.getPSSysImage().getCssClass() != "">${item.getPSSysImage().getCssClass()}<#else>fa fa-ellipsis-h</#if>" <#if item.getPSSysImage().getImagePath() != ""><img src="${item.getPSSysImage().getImagePath()}" /></#if>></i>
                                        </#if>
                                        </#if>
                                        <#if item.isShowCaption()>          ${item.caption!''}</#if>
                                        </mt-button>
                                        </#if>
                                    </#list>
                                </#if>
                                </#if>
                            </div>
                            </@ibizindent>
                            </#if>
                        </div>
                    </template>
            </mt-header>
        <#--  </#if>  -->
    </#if>
   </div>
</#list>
</#if>
</#if>
<#if ctrl.getAllRelatedPSAppViews()??>
<div class="view-content">
        <nut-tab positionNav="<#if view.getTabLayout() == "RIGHT">right<#elseif view.getTabLayout() == "TOP">top<#elseif view.getTabLayout() == "BOTTOM">bottom<#else>left</#if>"  @tab-switch="tabSwitch">
            <#list ctrl.getAllRelatedPSAppViews() as singleview>
                <nut-tab-panel tabTitle="${singleview.getCaption()}">
                    <view-${srfclassname('${singleview.getCodeName()}')?lower_case} :isTabExp="true"  ref="<#compress>${singleview.name?lower_case}</#compress>"></view-${srfclassname('${singleview.getCodeName()}')?lower_case}>
                </nut-tab-panel>
            </#list>
        </nut-tab>
</div>
</#if>
</div>
