
<template>
    <#ibizinclude>
    ./CONTROL.html.ftl
    </#ibizinclude>
</template>

<#ibizinclude>
../@MACRO/CONTROL/CONTROL_DEFAULT.vue.ftl
</#ibizinclude>

<#assign self_content>

    /**
    * 选中视图
    *
    * @memberof ${srfclassname('${ctrl.codeName}')}
    */
    public selectedView:string ='<#if ctrl.getAllRelatedPSAppViews()??><#list ctrl.getAllRelatedPSAppViews() as singleview><#if singleview_index == 0>${singleview.name?lower_case}</#if></#list></#if>';

    /**
    * 视图集合
    *
    * @memberof ${srfclassname('${ctrl.codeName}')}
    */
    public viewArray:Array<any> =[<#if ctrl.getAllRelatedPSAppViews()??><#list ctrl.getAllRelatedPSAppViews() as singleview>'${singleview.name?lower_case}'<#if singleview_has_next>,</#if></#list></#if>];

    /**
    * tab切换
    *
    * @memberof ${srfclassname('${ctrl.codeName}')}
    */
    public tabSwitch(index:any,event:any){
        this.selectedView = this.viewArray[index];
    }

    /**
    * 获取组件
    *
    * @memberof ${srfclassname('${ctrl.codeName}')}
    */
    public getComponent(value:any) {
        return this.$refs[value];
    }

    /**
     * 返回上一级
     *
     * @memberof ${srfclassname('${ctrl.codeName}')}
     */
    public close() {
        if(this.isModalMode){
            this.$emit('close',{});
        }else{
            this.$router.go(-1);
        }
    }
      
</#assign>

<#ibizinclude>
../@MACRO/CONTROL/CONTROL_CONTAINER.vue.ftl
</#ibizinclude>

<style lang="less">
    <#ibizinclude>
    ./CONTROL.less.ftl
    </#ibizinclude>
</style>