
<template>
    <#ibizinclude>
    ./CONTROL.html.ftl
    </#ibizinclude>
</template>

<#ibizinclude>
../@MACRO/CONTROL/CONTROL_DEFAULT.vue.ftl
</#ibizinclude>

<#assign self_header>
import { Subject } from 'rxjs';
import '@/assets/interface/viewState';
<#if ctrl.getPSControls?? && ctrl.getPSControls()??>

<#list ctrl.getPSControls() as subctrl>
<#if subctrl.getControlType() != 'TOOLBAR' && subctrl.getControlType() != 'CONTEXTMENU'>
    <#if subctrl.getPSDataEntity?? && subctrl.getPSDataEntity()??>
import view_${subctrl.getName()} from '@/widget/${srffilepath2(subctrl.getPSDataEntity().getCodeName())}/${srffilepath2(subctrl.getCodeName())}-${subctrl.getControlType()?lower_case}/${srffilepath2(subctrl.getCodeName())}-${subctrl.getControlType()?lower_case}.vue';
<#else>
import view_${subctrl.getName()} from '@/widget/app/${srffilepath2(subctrl.getCodeName())}-${subctrl.getControlType()?lower_case}/${srffilepath2(subctrl.getCodeName())}-${subctrl.getControlType()?lower_case}.vue';
</#if>
</#if>
</#list>
</#if>
<#if ctrl.getEmbeddedPSAppDEView()??>
<#assign refview=ctrl.getEmbeddedPSAppDEView() />
import view_${refview.getName()}  from '@/pages/${refview.getPSAppModule().getCodeName()?lower_case}/${srffilepath2('${refview.getCodeName()}')}/${srffilepath2('${refview.getCodeName()}')}.vue';
</#if>
</#assign>

<#assign components>
<#if ctrl.getPSControls?? && ctrl.getPSControls()??>
<#list ctrl.getPSControls() as subctrl>
<#if subctrl.getControlType() != 'TOOLBAR' &&  subctrl.getControlType() != 'CONTEXTMENU'>
view_${subctrl.getName()}, 
</#if>
</#list>
</#if>
<#if ctrl.getEmbeddedPSAppDEView()??>
<#assign refview=ctrl.getEmbeddedPSAppDEView() />
    view_${refview.getName()}  
</#if>
</#assign>

<#assign self_content>

</#assign>

<#ibizinclude>
../@MACRO/CONTROL/CONTROL_CONTAINER.vue.ftl
</#ibizinclude>

<style lang="less">
    <#ibizinclude>
    ./CONTROL.less.ftl
    </#ibizinclude>
</style>