
<template>
    <#ibizinclude>
    ./CONTROL.html.ftl
    </#ibizinclude>
</template>

<#ibizinclude>
../@MACRO/CONTROL/CONTROL_DEFAULT.vue.ftl
</#ibizinclude>

<#assign self_content>

        /**
        * 视图状态事件
        *
        * @protected
        * @type {(Subscription | undefined)}
        * @memberof ${srfclassname('${ctrl.codeName}')}
        */
        protected viewStateEvent: Subscription | undefined;

        created() {
          this.handleCreated();
        }

        /**
        * 执行created后的逻辑
        *
        * @memberof ${srfclassname('${ctrl.codeName}')}
        */
        public handleCreated(){
          if (this.viewState) {
            this.viewStateEvent = this.viewState.subscribe(
              ({ tag, action, data }) => {
                if (!Object.is(tag, this.name)) {
                  return;
                }
                <#if ctrl.getPSPortlets()??>
                <#list ctrl.getPSPortlets() as item>
                this.viewState.next({tag:'${item.name?lower_case}', action: 'load', data: {}})
                </#list>
                </#if>
              }
            );
          }
        }
</#assign>

<#ibizinclude>
../@MACRO/CONTROL/CONTROL_CONTAINER.vue.ftl
</#ibizinclude>

<style lang="less">

</style>