<template>
     <#ibizinclude>
    ./CONTROL.html.ftl
    </#ibizinclude>
</template>

<#ibizinclude>
../@MACRO/CONTROL/CONTROL_DEFAULT.vue.ftl
</#ibizinclude>

<#assign self_content>

    /**
    * 应用菜单功能集合
    *
    * @typr {any}
    * @memberof ${srfclassname('${ctrl.codeName}')}
    */
    public appFuncs:any= {<#if ctrl.getLeftPSAppMenu()??>
    <#assign leftAppMenu = ctrl.getLeftPSAppMenu()>
        'leftAppMenu':{
        <#if leftAppMenu.getPSAppMenuItems()??>
            <#list leftAppMenu.getPSAppMenuItems() as menuItem>
               '${menuItem.name}':<#if menuItem.getPSAppMenuItems()??>[<#list menuItem.getPSAppMenuItems() as singleItem>{value:'${singleItem.name}',name:'${singleItem.getCaption()}'<#if singleItem.getPSAppFunc()??>,func:'${singleItem.getPSAppFunc().getCodeName()}'</#if>}<#if singleItem_has_next>,</#if></#list>]<#else>''</#if><#if menuItem_has_next>,</#if></#list><#else>''</#if>}</#if><#if ctrl.getRightPSAppMenu()??><#assign rightAppMenu = ctrl.getRightPSAppMenu()>,
        'rightAppMenu':{
        <#if rightAppMenu.getPSAppMenuItems()??>
            <#list rightAppMenu.getPSAppMenuItems() as menuItem>
                '${menuItem.name}':<#if menuItem.getPSAppMenuItems()??>[<#list menuItem.getPSAppMenuItems() as singleItem>{value:'${singleItem.name}',name:'${singleItem.getCaption()}'<#if singleItem.getPSAppFunc()??>,func:'${singleItem.getPSAppFunc().getCodeName()}'</#if>}<#if singleItem_has_next>,</#if></#list>]<#else>''</#if><#if menuItem_has_next>,</#if></#list><#else>''</#if>}</#if>
    }

    /**
    * 菜单点击
    *
    * @params {$event:any}
    * @memberof ${srfclassname('${ctrl.codeName}')}
    */
    public menuClick($event:any){
        if($event){
            this.$emit('titleBarClick',$event);
        }
    }

    /**
    * 打开ActionSheet
    *
    * @params {menuDirection:string,value:string}
    * @memberof Titlebar
    */
    public openActionSheet(menuDirection:string,value:string){
        if(this.appFuncs[menuDirection] && this.appFuncs[menuDirection][value] && this.appFuncs[menuDirection][value].length >0){
            let subject = this.$actionSheet({actions:this.appFuncs[menuDirection][value]}).show();
            subject.subscribe((res:any) =>{
                if(res.func){
                    this.$emit('titleBarClick',res.func);
                }
            })
        }
    }
</#assign>

<#ibizinclude>
../@MACRO/CONTROL/CONTROL_CONTAINER.vue.ftl
</#ibizinclude>

<style lang="less">
     <#ibizinclude>
    ./CONTROL.less.ftl
    </#ibizinclude>
</style>