<div  class="app-mob-mdctrl <#if ctrl.getPSSysCss()??><#assign singleCss = ctrl.getPSSysCss()> ${singleCss.getCssName()}</#if>">
<#if ctrl.render??>
${ctrl.render.code}
<#else>
    <div class="app-mob-mdctrl-${ctrl.name}">
                <mt-loadmore
                        :top-method="loadTop"
                        @top-status-change="handleTopChange"
                        :bottom-method="loadBottom"
                        @bottom-status-change="handleBottomChange"
                        :bottom-all-loaded="allLoaded"
                        :bottomDistance="10"
                        v-if="items.length>0"
                        :auto-fill="false"
                        ref="loadmore" >
                    <ul class="items">
                        <#--多数据视图||多数据视图（部件视图）-->
                        <#if view.getViewType()?? && (view.getViewType()=='DEMOBMDVIEW' ||  view.getViewType()=='DEMOBMDVIEW9')>
                        <li v-for="item in items" @click="goPage(item)" :key="item.srfkey" class="app-mob-mdctrl-item">
                            <#if ctrl.getItemPSLayoutPanel()??>
                                <#assign layoutpanel=ctrl.getItemPSLayoutPanel()>
                            <div style="width:100%;">
                            <view_${layoutpanel.getName()} :item="item"></view_${layoutpanel.getName()}>
                            </div>
                            <#else>
                                <van-swipe-cell>
                                    <#if ctrl.getPSDEUIActionGroup()?? && ctrl.getPSDEUIActionGroup().getPSUIActionGroupDetails()??>
                                    <#assign details = ctrl.getPSDEUIActionGroup().getPSUIActionGroupDetails()>
                                    <template slot="left">
                                    <#list details as detail>
                                    <#if  detail.getPSUIAction()??>
                                    <#assign uiaction = detail.getPSUIAction()>
                                        <van-button square <#if uiaction.getUIActionTag() == "Remove">type="danger"<#else>type="primary"</#if> @click="mdctrl_click('${detail.getName()}',item)" text="${uiaction.getCaption()}"/>
                                    </#if>
                                    </#list>
                                    </template>
                                    </#if>
<#--                                    实体列表项集合-->
                                            <#if  ctrl.getPSDEListItems()??>
                                            <#if ctrl.getControlStyle()=='ICONVIEW'>
                                            <app-round-list :item="item"></app-round-list>
                                            <#elseif ctrl.getControlStyle()=='LISTVIEW'>
                                            <app-icon-list :item="item"></app-icon-list>
                                            <#elseif ctrl.getControlStyle()=='SWIPERVIEW'>
                                            <app-card-list :item="item"></app-card-list>
                                            <#else>
                                                <van-panel :title="item.srfmajortext ">
                                                        <div class="van-cell van-panel__header" v-if="listMap.get('subtitle')||listMap.get('content')||listMap.get('time')">
                                                            <div class="van-cell__title time" v-if=" listMap.get('time')">
                                                                <div class="van-cell__label">
                                                                    {{ item.time?item.time.substr(0,10):'' }}
                                                                </div>
                                                            </div>
                                                            <div class="van-cell__title subtitle" v-if=" listMap.get('subtitle')">
                                                                  <span>{{ listMap.get('subtitle') }}</span>
                                                                  <div class="van-cell__label">
                                                                       {{ item.subtitle }}
                                                                   </div>
                                                            </div>
                                                            <div class="van-cell__title content" v-if=" listMap.get('content')">
                                                                   <span>{{ listMap.get('content') }}</span>
                                                                   <div class="van-cell__label">
                                                                        {{ item.content }}
                                                                   </div>
                                                            </div>
                                                         </div>
                                                </van-panel>
                                                </#if>
                                        <#else>
                                           <div>暂无数据</div>
                                        </#if>
                                    <#if ctrl.getPSDEUIActionGroup2()?? && ctrl.getPSDEUIActionGroup2().getPSUIActionGroupDetails()??>
                                    <#assign details = ctrl.getPSDEUIActionGroup2().getPSUIActionGroupDetails()>
                                    <template slot="right">
                                    <#list details as detail>
                                    <#if  detail.getPSUIAction()??>
                                    <#assign uiaction = detail.getPSUIAction()>
                                        <van-button square <#if uiaction.getUIActionTag() == "Remove">type="danger"<#else>type="primary"</#if> @click="mdctrl_click('${detail.getName()}',item)" text="${uiaction.getCaption()}"/>
                                    </#if>
                                    </#list>
                                    </template>
                                    </#if>
                                </van-swipe-cell>
                                
                                </#if>
                            </li>
                        <#--工作流多数据视图-->
                        <#elseif  view.getViewType()?? && view.getViewType()=='DEMOBWFMDVIEW'>
                            <li v-for="item in items" @click="goPage(item)" :key="item.srfkey" class="app-mob-mdctrl-item">
                                <van-panel :title="item.srfmajortext ">
                                    <div class="van-cell van-panel__header" >
                                        <div class="van-cell__title time">
                                            <div class="van-cell__label">
                                                {{ item.starttime.substr(0,10) }}
                                            </div>
                                        </div>
                                        <div class="van-cell__title subtitle">
                                            <span>步骤</span>
                                            <div class="van-cell__label">
                                                {{ item.step }}
                                            </div>
                                        </div>
                                        <div class="van-cell__title content" >
                                            <span>{{item.startusername}}</span>
                                            <div class="van-cell__label">
                                                {{ item.workflowname }}
                                            </div>
                                        </div>
                                    </div>
                                </van-panel>
                            </li>
                        <#else>
                        <#--多数据选择视图（部件视图）-->
<#--                            多选-->
                        <van-checkbox-group v-model="checkboxList"  @change="change" v-if="isMutli">
                            <van-cell-group>
                                <li v-for="item in items" :key="item.srfkey" class="app-mob-mdctrl-item">
                                    <#if ctrl.getItemPSLayoutPanel()??>
                                    <#assign layoutpanel=ctrl.getItemPSLayoutPanel()>
                                    <div style="width:100%;">
                                    <view_${layoutpanel.getName()} :item="item.srfkey"></view_${layoutpanel.getName()}>
                                    </div>
                                    <#else>
                                    <div role="button" tabindex="0" class="van-cell van-cell--clickable">
                                        <van-checkbox :name="item.srfkey" v-if="isMutli">
                                            <div class="van-cell__title">
                                                <span>{{item.srfmajortext}}</span>
                                            </div>
                                        </van-checkbox>
                                    </div>
                                    </#if>
                                </li>
                            </van-cell-group>
                        </van-checkbox-group>
<#--                            单选-->
                            <van-radio-group v-model="radio"  @change="change" v-if="!isMutli">
                                <van-cell-group>
                                    <li v-for="item in items" :key="item.srfkey" class="app-mob-mdctrl-item">
                                        <#if ctrl.getItemPSLayoutPanel()??>
                                            <#assign layoutpanel=ctrl.getItemPSLayoutPanel()>
                                            <div style="width:100%;">
                                                <view_${layoutpanel.getName()} :item="item"></view_${layoutpanel.getName()}>
                                            </div>
                                        <#else>
                                            <div role="button" tabindex="0" class="van-cell van-cell--clickable">
                                                <van-radio slot="right-icon" :name="item.srfkey">
                                                    <div class="van-cell__title">
                                                        <span>{{item.srfmajortext}}</span>
                                                    </div>
                                                </van-radio>
                                            </div>
                                        </#if>
                                    </li>
                                </van-cell-group>
                            </van-radio-group>
                        </#if>
                    </ul>
                </mt-loadmore>
        </div>
</#if>
</div>
