<#assign detail>caption: '${item.getCaption()}', detailType: '${item.getDetailType()}', name: '${item.getName()}', visible: true, isShowCaption: ${item.isShowCaption()?c}</#assign>
<#if item.getDetailType()  == 'BUTTON'>
new FormButtonModel({ ${detail}<#if item.getPSUIAction()??><#assign uiaction=item.getPSUIAction()>, uiaction: { type: '${uiaction.getUIActionType()}', 
 tag: '${uiaction.getUIActionTag()}'<#if (uiaction.getActionTarget()!="")>, actiontarget: '${uiaction.getActionTarget()}'</#if> }</#if> })
<#elseif item.getDetailType()  == 'DRUIPART'>
new FromDRUIPartModel({ ${detail} })
<#elseif item.getDetailType()  == 'FORMITEM'>
new FormItemModel({ ${detail}, disabled: false, isAllowEmpty: ${item.isAllowEmpty()?c} })
<#elseif item.getDetailType()  == 'FORMPAGE'>
new FormPageModel({ ${detail} })
<#elseif item.getDetailType()  == 'FORMPART'>
new FormPartModel({ ${detail} })
<#elseif item.getDetailType()  == 'GROUPPANEL'>
new FormGroupPanelModel({ ${detail} })
<#elseif item.getDetailType()  == 'RAWITEM'>
new FormRowItemModel({ ${detail} })
<#elseif item.getDetailType()  == 'TABPAGE'>
new FormTabPageModel({ ${detail} })
<#elseif item.getDetailType()  == 'TABPANEL'>
new FormTabPanelModel({ ${detail} })
<#elseif item.getDetailType()  == 'USERCONTROL'>
new FormUserControlModel({ ${detail} })
</#if>