<#assign layout = item.getPSLayout()/>
<#ibizinclude>
./@MACRO/PLAYOUT.html.ftl
</#ibizinclude>
<#if layout.getLayout()=='FLEX'>
<div class="app-layoutpanel-container<#if item.getPSSysCss()??> ${item.getPSSysCss().getCssName()}</#if>" style="${flexAttr}<#if item.getWidth() gt 0>width: ${item.getWidth()?c}px;</#if><#if item.getHeight() gt 0>height: ${item.getHeight()?c}px;</#if>">
    <div style="display: flex;<#if layout.getDir()!="">flex-direction: ${layout.getDir()};</#if><#if layout.getAlign()!="">justify-content: ${layout.getAlign()};</#if><#if layout.getVAlign()!="">align-items: ${layout.getVAlign()};</#if><#if item.getPSSysCss()??>${item.getPSSysCss().getRawCssStyle()}</#if>">
<#if item.render??>
${item.render.code}
<#else>
<#if item.getPSPanelItems()??>
<#list item.getPSPanelItems() as panelItem>
${P.getPartCode(panelItem).code}
</#list>
</#if>
</#if>
    </div>
</div>
<#else>
    <#if tableAttr??>
    <nut-col ${tableAttr} style="text-align:center;padding:0px;" class="<#if item.getPSSysCss()??> ${item.getPSSysCss().getCssName()}</#if>">
    <#else>
     <nut-row>
    </#if>
    <div style="padding:0px;margin:0px;" class="app-layoutpanel-container<#if item.getPSSysCss()??> ${item.getPSSysCss().getCssName()}</#if>" >
<#if item.render??>
${item.render.code}
<#else>
    <nut-row>
<#if item.getPSPanelItemCount()?? && item.getPSPanelItemCount() gt 0>
<#if item.getPSPanelItems()??>
    <#list item.getPSPanelItems() as item>
    ${P.getPartCode(item).code}
    </#list>
</#if>
<#else>
    &nbsp;
</#if>
    </nut-row>
</#if>
    </div>
    <#if tableAttr??>
        </nut-col>
    <#else>
        </nut-row>
    </#if>
</#if>