<div class="app-menus-container<#if ctrl.getPSSysCss()??><#assign singleCss = ctrl.getPSSysCss()> ${singleCss.getCssName()}</#if>">
    <#if ctrl.render??>
    ${ctrl.render.code}
    <#else>
    <#if view.getViewType() == "APPPORTALVIEW">
    <!-- 快速菜单-->
    <div  class="app-quick-menus">
          <app-app-menu :title="title"  :menus="menus" @menuClick="menuClick($event)"  v-if="!menuStyle"></app-app-menu>
          <app-list-menu :title="title"  :menus="menus" @menuClick="menuClick($event)"  v-if="menuStyle=='listview'"></app-list-menu>
          <app-slider-menu :title="title"  :menus="menus" @menuClick="menuClick($event)" v-if="menuStyle=='swiperview'" ></app-slider-menu>
          <app-icon-menu :title="title"  :menus="menus" @menuClick="menuClick($event)" v-if="menuStyle=='iconview'"></app-icon-menu>
    </div>
    <#else>
    <!-- 首页菜单-->
    <van-tabbar  @change="menuClick($event)"  v-model="currentSelected">
        <van-tabbar-item v-for="item in menus" v-bind:key="item.id"  :name="item.name">
           <span>{{item.text}}</span>
           <img slot="icon"  :src="item.icon?item.icon:'https://img.yzcdn.cn/public_files/2017/10/13/793c77793db8641c4c325b7f25bf130d.png'">
        </van-tabbar-item>
    </van-tabbar>
    </#if>
    </#if>
</div>