
<template>
     <#ibizinclude>
    ./CONTROL.html.ftl
    </#ibizinclude>
</template>

<#ibizinclude>
../@MACRO/CONTROL/CONTROL_DEFAULT.vue.ftl
</#ibizinclude>

<#assign self_content>
    /**
    * 是否多选
    *
    * @type {boolean}
    * @memberof ${srfclassname('${ctrl.codeName}')}
    */
    @Prop({default:false}) public isMutli?: boolean;

    /**
     * 数据选择视图选中项
     *
     * @type {any}
     * @memberof ${srfclassname('${ctrl.codeName}')}
     */
    @Prop() public selectedData?:any;

    /**
    * 接收多数据选择部件所选的值并且抛出
    *
    * @type {*}
    * @memberof ${srfclassname('${ctrl.codeName}')}
    */
    public pickupviewpanel_dataschange(newValue:any){
        this.$emit('dataschange',newValue);
    }
</#assign>

<#ibizinclude>
../@MACRO/CONTROL/CONTROL_CONTAINER.vue.ftl
</#ibizinclude>

<style lang="less">
     <#ibizinclude>
    ./CONTROL.less.ftl
    </#ibizinclude>
</style>